server_names = ['easymosdns']
listen_addresses = ['[::1]:53001', '127.0.0.1:53001']
max_clients = 250
ipv4_servers = true
ipv6_servers = true
dnscrypt_servers = true
doh_servers = true
odoh_servers = false
require_dnssec = true
require_nolog = false
require_nofilter = true
force_tcp = false
timeout = 2500
keepalive = 30
edns_client_subnet = ["120.253.0.0/16"]
blocked_query_response = 'refused'
log_level = 2
log_file = 'dnscrypt-proxy.log'
log_files_max_size = 1
log_files_max_age = 7
log_files_max_backups = 3
cert_refresh_delay = 240
bootstrap_resolvers = ['208.67.222.222:5353', '8.8.4.4:53', '9.9.9.11:9953']
ignore_system_dns = false
netprobe_timeout = 60
netprobe_address = '9.9.9.9:53'
block_ipv6 = false
block_unqualified = true
block_undelegated = true
reject_ttl = 10
cloaking_rules = 'cloaking-rules.txt'
cache = true
cache_size = 4096
cache_min_ttl = 2400
cache_max_ttl = 86400
cache_neg_min_ttl = 60
cache_neg_max_ttl = 600

[query_log]
  file = 'query.log'
  format = 'tsv'
  ignored_qtypes = ['DNSKEY', 'NS', 'DS']

[sources]
  [sources.'public-resolvers']
  urls = [
  'https://cdn.jsdelivr.net/gh/DNSCrypt/dnscrypt-resolvers/master/public-resolvers.md',]
  cache_file = 'public-resolvers.md'
  minisign_key = 'RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3'
  refresh_delay = 72
  prefix=''

  [sources.'relays']
    urls = [
    'https://cdn.jsdelivr.net/gh/DNSCrypt/dnscrypt-resolvers/v3/relays.md']
    cache_file = 'relays.md'
    minisign_key = 'RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3'
    refresh_delay = 72
    prefix = ''

  [sources.'odoh-servers']
    urls = [
    'https://cdn.jsdelivr.net/gh/DNSCrypt/dnscrypt-resolvers/v3/odoh-servers.md']
    cache_file = 'odoh-servers.md'
    minisign_key = 'RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3'
    refresh_delay = 24
    prefix = ''

   [sources.'odoh-relays']
    urls = [
    'https://cdn.jsdelivr.net/gh/DNSCrypt/dnscrypt-resolvers/v3/odoh-relays.md']
    cache_file = 'odoh-relays.md'
    minisign_key = 'RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3'
    refresh_delay = 24
    prefix = ''

[broken_implementations]

fragments_blocked = ['cisco', 'cisco-ipv6', 'cisco-familyshield', 'cisco-familyshield-ipv6', 'cleanbrowsing-adult', 'cleanbrowsing-adult-ipv6', 'cleanbrowsing-family', 'cleanbrowsing-family-ipv6', 'cleanbrowsing-security', 'cleanbrowsing-security-ipv6']

[anonymized_dns]

#routes = [
#    { server_name='*', via=['anon-tiarap']}
# ]	

[static]
  [static.easymosdns]
    stamp = 'sdns://AgYAAAAAAAAAACA59q74zeUV4xVJXPXvLw0G1pi3YdoaF4FskwSxGJjS1Axkb2guYXBhZC5wcm8KL2Rucy1xdWVyeQ'
